aboutsummaryrefslogtreecommitdiff
path: root/sync-home
diff options
context:
space:
mode:
Diffstat (limited to 'sync-home')
-rwxr-xr-xsync-home16
1 files changed, 16 insertions, 0 deletions
diff --git a/sync-home b/sync-home
new file mode 100755
index 0000000..4c9d6db
--- /dev/null
+++ b/sync-home
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# sync home folder across systems
+#
+
+DEST="$1"
+
+if [ ! -z "$DEST" ]; then
+ profile="$DEST-home"
+ if [ -f "$HOME/.unison/$profile.prf" ]; then
+ unison $profile
+ else
+ echo "No such profile $HOME/.unison/$profile.prf"
+ exit 1
+ fi
+fi